<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://jmix.io/schema/ui/window"
        caption="msg://adjustmentCashEdit.caption"
        focusComponent="form">
    <data>
        <instance id="transactionAcctDc"
                  class="com.company.management.entity.wallet.TransactionAcct">
            <fetchPlan extends="_base"/>
            <loader/>
        </instance>
        <collection id="accountBgdsDc" class="com.company.management.entity.wallet.AccountBgd">
            <fetchPlan extends="_base"/>
            <loader id="accountBgdsDl">
                <query>
                    <![CDATA[select e from AccountBgd e
                    where e.accOwner = :accOwner1
                    and e.walletType.code = :walletTypeCode1]]>
                </query>
            </loader>
        </collection>
        <instance id="activityLogDc" class="com.company.management.entity.ActivityLog">
            <fetchPlan extends="_base"/>
            <loader id="activityLogDl"/>
        </instance>
        <collection id="activityLogFilesDc" class="com.company.management.entity.ActivityLogFile">
            <fetchPlan extends="_base"/>
            <loader id="activityLogFilesDl">
                <query>
                    <![CDATA[select e from ActivityLogFile e
                    where e.activityLog = :activityLog1]]>
                </query>
            </loader>
        </collection>
        <collection id="accountBgdsDc1" class="com.company.management.entity.wallet.AccountBgd">
            <fetchPlan extends="_base">
                <property name="regType" fetchPlan="_base"/>
                <property name="walletType" fetchPlan="_base"/>
            </fetchPlan>
            <loader id="accountBgdsDl1">
                <query>
                    <![CDATA[select e from AccountBgd e
                    where e.walletType.code = :walletTypeCode1
                    and e.regType.code = :regTypeCode1]]>
                </query>
            </loader>
        </collection>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="windowCommitAndClose" caption="msg:///actions.Ok"
                icon="EDITOR_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="windowClose"
                caption="msg:///actions.Close"
                icon="EDITOR_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout spacing="true" expand="scrollBox">
        <scrollBox id="scrollBox" spacing="true">
            <form id="form" dataContainer="transactionAcctDc" responsive="true">
                <groupBox spacing="true" outerMargin="true" width= "1031px">
                    <label stylename="v-label v-label-custom" css="margin-bottom:10px; margin-left:20px;" value="msg://Adjustment Request (Edit)"/>

                    <vbox spacing="true" responsive="true" css="margin-left:20px;">
                        <vbox width="100%" css="border-bottom: solid 2px #E5E5E5; padding-bottom:20px; margin-bottom:15px;">
                            <hbox spacing="true" responsive="true">
                                <radioButtonGroup orientation="horizontal" optionsEnum="com.company.management.entity.AdjustmentCash" id="addOrDeductCash"
                                                  required="true"/>
                                <entityComboBox id="accountNo" caption="msg://Account Number" optionsContainer="accountBgdsDc" captionProperty="acctNumber" visible="false"/>
                            </hbox>
                        </vbox>
                        <hbox spacing="true" responsive="true" css="margin-bottom:20px; margin-top:5px;" id="investorAccountList">
                            <entityComboBox id="investorNameID" caption="msg://Investor Name" optionsContainer="accountBgdsDc1" captionProperty="accOwner"/>
                            <entityComboBox id="investorID" caption="msg://BGD ID" optionsContainer="accountBgdsDc1" captionProperty="acctNumber" editable="false"/>
                            <textField id="investorName" caption="msg://Investor's Full Name" editable="false" visible="false"/>
                        </hbox>
                        <vbox width="100%" css="border-bottom: solid 2px #E5E5E5; padding-bottom:20px; margin-bottom:15px;">
                             <hbox spacing="true" id="idDetails" responsive="true">
                                <vbox spacing="true" responsive="true">
                                    <textField id="amountField" caption="msg://Amount" datatype="decimal" required="true"/>
                                </vbox>
                                <vbox spacing="true" responsive="true">
                                    <textField id="uom" caption="msg://UOM" editable="false"/>
                                </vbox>
                             </hbox>
                        </vbox>

                        <label stylename="v-label v-label-custom" css="margin-bottom:0px" value="msg://label8.value"/>
                        <label  css="margin-bottom:10px"  stylename="v-label v-label-custom-16"
                                value="msg://label9.value"/>

                        <textArea id="remarksFieldId" dataContainer="activityLogDc" property="requestRemarks"
                                  caption="msg://remarksFieldId.caption" required="true"/>

                        <label id="uploadDocuments" value="msg://Upload Document(s)" css="margin-top:15px;"/>
                        <fileMultiUpload id="fileUpload" permittedExtensions=".pdf" accept="*.pdf" fileSizeLimit="5000000"/>
                        <groupTable id="uploadFileTable" dataContainer="activityLogFilesDc" width="40%"
                                    columnHeaderVisible="false">
                            <actions>
                                <action id="remove" type="remove" visible="false"/>
                            </actions>
                            <columns>
                                <column id="fileUpload"/>
                                <column id="deleteFileUpload" caption="Action"/>
                            </columns>
                        </groupTable>
                        <vbox id="fileTypes" width="350px">
                            <label value="msg://Supported file types: PDF, PNG, JPG" stylename="v-label v-label-custom-16-regular"/>
                            <label value="msg://Maximum file size: 5MB" stylename="v-label v-label-custom-16-regular"/>
                        </vbox>
<!--                        <vbox spacing="true" />-->
                        <vbox spacing="true" id="checkerMaker" responsive="true">
                            <groupBox spacing="true" width="300px" orientation="vertical" height="200px" responsive="true">
                                <label stylename="bold h3" value="msg://Adjustment Confirmation" align="MIDDLE_CENTER"/>
                                <label stylename="bold h4" value="msg://Maker Confirmation Status" align="MIDDLE_CENTER"/>
                                <hbox id="editActions" spacing="true" align="MIDDLE_CENTER">
                                    <button id="commitAndCloseBtn" caption="msg://Confirm" css="background-color: #357EF2;color: #ffffff"/>
                                    <button id="closeBtn" action="windowClose" caption="Cancel" css="background-color: #ffffff;color: #357EF2"/>
                                </hbox>
                            </groupBox>
                        </vbox>
                    </vbox>
                </groupBox>
            </form>
        </scrollBox>
    </layout>
</window>
